Bug 1112565 - mariadb: FTBFS in rawhide on s390(x)
Summary: mariadb: FTBFS in rawhide on s390(x)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: rawhide
Hardware: s390
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Dorňák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2014-06-24 08:32 UTC by Jakub Dorňák
Modified: 2014-11-01 16:50 UTC (History)
3 users (show)

Fixed In Version: mariadb-10.0.14-6.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 16:50:18 UTC
Type: Bug


Attachments (Terms of Use)
build.log (338.16 KB, text/x-log)
2014-06-24 08:32 UTC, Jakub Dorňák
no flags Details

Description Jakub Dorňák 2014-06-24 08:32:10 UTC
Created attachment 911665 [details]
build.log

Description of problem:
MariaDB fails to build from source on s390 an s390x archs.

Version-Release number of selected component (if applicable):
10.0.12-2.fc21

Actual results:
...
/builddir/build/BUILD/mariadb-10.0.12/mysys/mf_keycache.c: In function 'simple_key_cache_read':
/builddir/build/BUILD/mariadb-10.0.12/include/probes_mysql_dtrace.h:582:1: error: expected expression before ')' token
 DTRACE_PROBE1 (mysql, keycache__read__miss, arg1)
 ^
/builddir/build/BUILD/mariadb-10.0.12/mysys/mf_keycache.c:2837:11: note: in expansion of macro 'MYSQL_KEYCACHE_READ_MISS'
           MYSQL_KEYCACHE_READ_MISS();
           ^
...

Additional info:
build.log attached

Comment 1 Fedora Update System 2014-10-14 05:00:24 UTC
mariadb-10.0.14-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mariadb-10.0.14-6.fc21

Comment 2 Fedora Update System 2014-10-16 01:57:47 UTC
Package mariadb-10.0.14-6.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mariadb-10.0.14-6.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12832/mariadb-10.0.14-6.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-11-01 16:50:18 UTC
mariadb-10.0.14-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.